Priority: High Spent time: 0.00 hour
Assignee:
Category: WFS
Target version:
Severity: Major Add-on version:
Has patch: Hito:
Add-on name: Unknown
Description

Sometimes the layers coming form the following WFS (
http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/wfs/LimitiAmministrativi_2011.map) of the Italian National Geoportal are not load
due to a premature EOF while downloading GML files (it may depend by my dinamic IP in black list or by an high number of requests,
I'm not sure...). The main consequence is that gvSIG freezes and I'm forced to kill the application. I attach the gvSIG.log. How to
prevent this behaviour of the application?

History
#1 - 05/21/2015 04:09 PM - Álvaro Anguix

Hi Antonio, 
I have test with ItalianNG WFS and it seems blocked but finally the layer is loaded. Then, I have several zooms and gvSIG has worked fine. I think that
this is not a bug.

#2 - 05/21/2015 04:52 PM - Antonio Falciano

Hi Alvaro,
I know that the service should work without problem... The issue I have described in this ticket focuses on the gvSIG behaviour when the service
doesn't work, i.e. the application should not freeze when the WFS service is not available for whatever reason.

#3 - 05/22/2015 09:35 AM - Álvaro Anguix
- Severity changed from Blocker to Major

Ok, clear.

Files
gvSIG.zip 37.6 KB 05/21/2015 Antonio Falciano
